Bug 137314 - Sizes reported incorrectly in attachment list
Sizes reported incorrectly in attachment list
Status: CLOSED RAWHIDE
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
2.18
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: David Lawrence
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-27 10:41 EDT by David Lawrence
Modified: 2007-04-18 13:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-04 13:44:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Lawrence 2004-10-27 10:41:20 EDT
Ulrich Drepper wrote:

> It's at least not too low.  Still, the size is not accurate.  Maybe you
> are measuring it with the envelope HTML?  In bug 136906 the attachment
> is 472 bytes in size when you download it.  The bug output says 641
> bytes.  It's not critically important.  I'd use the value only to judge
> who big the download would be so the order of magnitude is enough.
> Maybe then values should be displayed as 1kB, 1.5MB or so...
>
>  
>

Actually I know what is wrong now and not sure why I didnt think about it
before. I am converting the
data to Base64 before inserting into the DB, the size is coming from the
length() function built into PostgreSQL
and is reporting the size of the Base64 data and not the actual data. I will
create a bug report for this and look
into fixing the problem.


Version-Release number of selected component (if applicable):
2.18 Beta2
Comment 1 David Lawrence 2004-11-04 13:44:55 EST
Will be fixed in beta3. Checked in to cvs.

Note You need to log in before you can comment on or make changes to this bug.